Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleFadeOutAffector Class Reference

A particle affector which fades out the particles. More...

`#include <IParticleFadeOutAffector.h>`

Inheritance diagram for irr::scene::IParticleFadeOutAffector:

List of all members.

## Public Member Functions
virtual f32 | getFadeOutTime () const =0
| Gets the amount of time it takes for each particle to fade out.
virtual const video::SColor & | getTargetColor () const =0
| Gets the targetColor, i.e. the color the particles will interpolate to over time.
virtual E_PARTICLE_AFFECTOR_TYPE | getType () const
| Get emitter type.
virtual void | setFadeOutTime (f32 fadeOutTime)=0
| Sets the amount of time it takes for each particle to fade out.
virtual void | setTargetColor (const video::SColor &targetColor)=0
| Sets the targetColor, i.e. the color the particles will interpolate to over time.

## Detailed Description

A particle affector which fades out the particles.

Definition at line 16 of file IParticleFadeOutAffector.h.

## Member Function Documentation

virtual f32 irr::scene::IParticleFadeOutAffector::getFadeOutTime | ( |  | ) | const`[pure virtual]`

Gets the amount of time it takes for each particle to fade out.

virtual const video::SColor& irr::scene::IParticleFadeOutAffector::getTargetColor | ( |  | ) | const`[pure virtual]`

Gets the targetColor, i.e. the color the particles will interpolate to over time.

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleFadeOutAffector::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 33 of file IParticleFadeOutAffector.h.

References irr::scene::EPAT_FADE_OUT.

virtual void irr::scene::IParticleFadeOutAffector::setFadeOutTime | ( | f32 | fadeOutTime | ) | `[pure virtual]`

Sets the amount of time it takes for each particle to fade out.

virtual void irr::scene::IParticleFadeOutAffector::setTargetColor | ( | const video::SColor & | targetColor | ) | `[pure virtual]`

Sets the targetColor, i.e. the color the particles will interpolate to over time.

The documentation for this class was generated from the following file:

- IParticleFadeOutAffector.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:10 2010 by Doxygen (1.6.2)